Get Team Use Cases
Get the list of validated use-cases created by other project (team) members of the logged user.
Args: project_id: the project (=team) for which to retrieve use-cases. credential: The auth info used to check permissions. credential_acl: contains the projects accessible by the user paginated_params: arguments provided by the client to control pagination. status: can be used by a super-user to filter by status; regular users only see APPROVED use-cases. search: If provided, return only use-cases containing that term
Returns: QueryResults: The matching use-cases found in DB.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Query Parameters
Section titled “Query Parameters ”Responses
Section titled “ Responses ”Successful Response
A list of responses with pagination information.
For backwards compatibility, this also exposes pagination using the following header format:
Access-Control-Expose-Headers: Content-Range
Content-Range: $FIRST_ITEM_IN_BATCH-$LAST_ITEM_IN_BACH/$TOTAL_ITEMS_AVAILABLEobject
Schema to display all the information contained in a UseCase
object
Pagination information
object
Validation Error